# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(IO/File.pm) perl(IO/Handle.pm) perl(MLDBM.pm) perl(Pod/Usage.pm) perl(Sys/Hostname.pm) perl(Test/More.pm) perl(autodie.pm)
# END SourceDeps(oneline)
%define module_name TIGR
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Legacy classes/scripts from TIGR for HMM and FASTA parsing
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JO/JORVIS/%{module_name}/TIGR-%{version}.tar.gz
BuildArch: noarch

%description
Ages ago developers at The Institute for Genomic Research (RIP) produced code to process
raw alignment files from the HMMer suite.  Many of these functions were embedded within a
variety of scripts which do things like format conversion.  Installing this package also
adds the utility script, 'convert_hmmscan_to_htab.pl'

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README ignore.txt Changes
%perl_vendor_privlib/T*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Mon Sep 25 2017 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

